For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all appointments
        • POSTQuery Appointment Availability: Rent Manager - Not Supported
        • POSTCancel Applicant Appointment: Rent Manager
        • POSTCreate Applicant Appointment: Rent Manager
        • PUTUpdate Applicant Appointment: Rent Manager
        • POSTCancel Lead Appointment: Rent Manager
        • POSTCreate Lead Appointment: Rent Manager
        • PUTUpdate Lead Appointment: Rent Manager
        • POSTCancel Resident Appointment: Rent Manager
        • POSTCreate Resident Appointment: Rent Manager
        • PUTUpdate Resident Appointment: Rent Manager
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Rent ManagerAppointments

Create Lead Appointment: Rent Manager

POST
/v1/events/appointments/leads/rentmanager/
POST
/v1/events/appointments/leads/rentmanager/
$curl -X POST https://api.propexo.com/v1/events/appointments/leads/rentmanager/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "rm-integration-987654321",
> "lead_id": "lead-123456789",
> "appointment_date": "2024-01-15",
> "appointment_time": "14:30:00",
> "appointment_duration_minutes": 45,
> "title": "Initial Property Tour"
>}'
1{
2 "meta": {
3 "job_id": "job-20240115-143000-001"
4 },
5 "result": {
6 "integration_id": "rm-integration-987654321",
7 "lead_id": "lead-123456789",
8 "employee_id": "emp-456789123",
9 "appointment_date": "2024-01-15",
10 "appointment_time": "14:30:00",
11 "appointment_duration_minutes": 45,
12 "title": "Initial Property Tour",
13 "notes": "Client requested to see the 2-bedroom unit on the 3rd floor."
14 }
15}
Create an appointment for a lead in Rent Manager. Rent Manager allows property managers to set both global and property specific timezone settings. These configurations can be pulled in via our [GET /timezones](https://docs.propexo.com/api-reference/api-reference/timezones/get-all-timezones) API endpoint which should be utilized to determine the timezone for which your appointment is set. If no timezone settings are found, Rent Manager suggests by default you send your appointment in Eastern Time (UTC-5:00 or UTC-4:00 depending on daylight savings). | Method | |---| | POST /Appointments | | POST /Appointments/{appointmentId}/AppointmentUser | <Note title="Notice">This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.</Note>
Was this page helpful?
Previous

Update Lead Appointment: Rent Manager

Next
Built with

Create an appointment for a lead in Rent Manager. Rent Manager allows property managers to set both global and property specific timezone settings. These configurations can be pulled in via our GET /timezones API endpoint which should be utilized to determine the timezone for which your appointment is set. If no timezone settings are found, Rent Manager suggests by default you send your appointment in Eastern Time (UTC-5:00 or UTC-4:00 depending on daylight savings).

Method
POST /Appointments
POST /Appointments/{appointmentId}/AppointmentUser
Notice
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
lead_idstringRequired
The Propexo unique identifier for the lead
appointment_datestringRequired
The date when the appointment will occur
appointment_timestringRequiredformat: "(?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)"

The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. The time is in the local time of the property/location. In Rent Manager, the default timezone is an optional setting that the PMC can set and will be stored on the Propexo Timezone model. You may need to read in this setting and convert to the local timezone for the appointment time to be correct.

appointment_duration_minutesintegerRequired
The duration of the appointment, in minutes
titlestringRequired<=50 characters
The title associated with the event
employee_idstringOptional
The Propexo unique identifier for the employee
notesstringOptional
Notes associated with the event

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error